
/* Footer Design */
.primary-footer{
    width: 100%;
}

.footeritems-container {
    background-color: var(--footer-bg-color);
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    width: 100%;
    gap: 5px;
    padding: 30px;
    border-bottom: 1px solid #6300E21F;
    border-radius: 10px;
}

/* Footer Responsivnes */

.footer-logo {
    width: 200px;
    padding: 10px 0;
}

.logo-container, .important-links, .popular-tools {
    width: 25%;
    max-width: 250px;
    min-width: 200px;
}

.content > p {
    font-size: 17px;
    color: var(--footer-text-color);
    font-weight: 200;
    line-height: 25px;
    font-weight: 400;
}

.important-links > h3 {
    color: var(--primary-color);
    /* padding-bottom: 10px; */
}

.important-links > li, .popular-tools > li {
    list-style-type: none;
    margin-top: 6px;
}

.important-links > li > a, .popular-tools > li > a {
    color: var(--footer-text-color);
    padding: 6px 8px;
}

.important-links > li > a:hover, .popular-tools > li > a:hover {
    color: var(--primary-color);
}

.popular-tools > h3, .important-links > h3, .others > h3 {
    color: var(--primary-color);
    padding-bottom: 10px;
}

.popular-tools > li > a:hover {
    color: var(--primary-color);
}

/* Others Container */
/* Social Icons */
.socialContainer {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    width: 150px;
}

.socialContainer > a > img {
    width: 30px;
    height: 30px;
}

.newsLetters {
    margin-top: 5px;
    padding-top: 5px;
    border-top: 2px solid var(--card-bg-hover);
}

.subscribeFormField {
    display: flex;
    flex-direction: column;
    padding-top: 7px;
}

.subscribeFormField > label {
    color: var(--text-color-dark);
    padding-bottom: 4px;
}

.subscribeFormField > input {
    padding: 4px 6px;
    outline: none;
    border: 2px solid var(--card-bg-hover);
    border-radius: 12px;
    color: var(--desc-text);
}

.subscribeSubmitBtn {
    padding: 3px 6px;
    border: 2px solid var(--card-bg-hover);
    border-radius: 12px;
    color: var(--text-color);
    margin-top: 7px;
    margin-bottom: 7px;
    cursor: pointer;
    transition: 0.2s ease;
}

.subscribeSubmitBtn:disabled {
    background-color: var(--footer-bg-color);
    opacity: 0.5;
    cursor: not-allowed;
}

.subscribeSubmitBtn:active {
    background-color: var(--card-bg-hover);
}

.subscribeSubmitContainer {
    display: none;
    align-items: self-end;
    gap: 4px;
    margin-bottom: 7px;
}

.subscribeSubmitInfo {
    color: var(--text-color);
}

.subscribeSubmitLoader {
    border: 3px solid black;
    border-top: 3px solid var(--card-bg-hover);
    border-radius: 50%;
    width: 18px;
    height: 18px;
    background-color: transparent;
    margin-top: 5px;
    animation: spinner 1s linear infinite;
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Copiright Container */
.footericon {
    width: 19px;
    padding-right: 3px;
}

.copyright-container {
    background-color: var(--footer-bg-color);
    padding: 15px 0 18px 0;
}

.copyright-container > p {
    color: var(--primary-color);
    font-weight: 800;
    text-align: center;
}